//+----------------------------------------------------------------------------
//
// File:     kernel.h
//
// Module:   
//
// Synopsis: 
//
// Created:  sgasch  5 Jul 2003
//
//+----------------------------------------------------------------------------

#ifndef _KERNEL_H_
#define _KERNEL_H_

#include "types.h"
#include "constants.h"
#include "macros.h"

//
// Shared data structures
//
typedef struct _BIOS_HARDWARE_BLOCK
{
    BYTE bDisplayType;
    BYTE bFontSize;
    WORD wEquipmentBitvector;
    WORD wMemorySize;
    WORD wSystemClock;
}
BIOS_HARDWARE_BLOCK;

// Write a byte to an I/O port.
void
out(WORD port, BYTE value);

BYTE
in(WORD port);

void
iodelay(void);

#endif /* _KERNEL_H_ */
