//+----------------------------------------------------------------------------
//
// File:     types.h
//
// Module:   
//
// Synopsis: 
//
// Created:  sgasch  10 Oct 2003
//
//+----------------------------------------------------------------------------

#ifndef _TYPES_H_
#define _TYPES_H_

//
// Datatype wrappers
// 
#define MIN_CHAR                   (0x80)
#define MAX_CHAR                   (0x7f)
typedef char                       CHAR;

#define MIN_BYTE                   (0x00)
#define MAX_BYTE                   (0xff)
typedef unsigned char              BYTE;

#define MIN_UCHAR                  (0x00)
#define MAX_UCHAR                  (0xff)
typedef unsigned char              UCHAR;

#define MIN_SHORT                  (0x8000)
#define MAX_SHORT                  (0x7fff)
typedef signed short               SHORT;

#define MIN_USHORT                 (0x0000)
#define MAX_USHORT                 (0xffff)
typedef unsigned short             USHORT;

#define MIN_WORD                   (0x0000)
#define MAX_WORD                   (0xffff)
typedef unsigned short             WORD;

#define MIN_INT                    (0x80000000)
#define MAX_INT                    (0x7fffffff)
typedef signed int                 INT;

#define MIN_UINT                   (0x00000000)
#define MAX_UINT                   (0xffffffff)
typedef unsigned int               UINT;

#define MIN_LONG                   (0x80000000)
#define MAX_LONG                   (0x7fffffff)
typedef signed int                 LONG;

#define MIN_ULONG                  (0x00000000)
#define MAX_ULONG                  (0xffffffff)
typedef unsigned long              ULONG;

#define MIN_INT64                  (0x8000000000000000)
#define MAX_INT64                  (0x7fffffffffffffff)
typedef signed long long           INT64;

#define MIN_UINT64                 (0x0000000000000000)
#define MAX_UINT64                 (0xffffffffffffffff)
typedef unsigned long long         UINT64;

#define MIN_BITV                   MIN_UINT
#define MAX_BITV                   MAX_UINT
typedef unsigned int               BITV;

#define MIN_BOOL                   MIN_UCHAR
#define MAX_BOOL                   MAX_UCHAR
typedef unsigned char              BOOL;

typedef unsigned int               STATUS;
#define STATUS_SUCCESS             (0)

#define SIZE_T                     ULONG

#endif /* _TYPES_H_ */
