//+----------------------------------------------------------------------------
//
// File:     memory.c
//
// Module:   
//
// Synopsis: 
//
// Copyright (C) Scott Gasch
//
// Created:  sgasch  5 Jul 2003
//
//+----------------------------------------------------------------------------

#include "kernel.h"

void 
RtlSetMemory(void *pStart, 
             BYTE bFill,
             ULONG uLength)
{
    BYTE *p = (BYTE *)pStart;

    while(uLength > 0)
    {
        *p++ = bFill;
        uLength--;
    }
}
