//+----------------------------------------------------------------------------
//
// File:     keyboard.c
//
// Module:   
//
// Synopsis: 
//
// Created:  sgasch  21 Oct 2003
//
//+----------------------------------------------------------------------------

#include "kernel.h"
#include "hal.h"
#include "rtl.h"
#include "interrupts.h"

void
HalKeyboardInt(INTERRUPT_STATE *is)
{
    BYTE c;
    BYTE k;

    HalDisableInterrupts();

    c = in(0x64);
    HalIoDelay();
    if (c & 1)
    {
        k = in(0x60);
        HalIoDelay();
        HalVideoPrint("Testing %x.\n\0", 1);
    }

    HalEnableInterrupts();
}

